跳转到主要内容
监控与采集相关接口/性能剖析
GETProfiling起始版本 1.0同步需要认证

上报回归

获取单个回归报告标识符。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • reportIdString必填

    报告ID。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • reportIdString

    唯一标识符回归报表。

    示例: rpt-xyz789

  • baselineLabelString

    基线标签。

    示例: v1.2.0-release

  • compareLabelString

    比较标签。

    示例: v1.3.0-candidate

  • profileTypeString

    已使用回归分析。

    示例: cpu

  • regressionDetectedBoolean

    性能回归已检测。

    示例: true

  • severityString

    告警级别。

    示例: WARNING

  • changedFunctionsList

    变更函数。

    示例: (nested array)

    • funcNameString

      完全限定名称函数变更。

      示例: net/http.(*Transport).roundTrip

    • baselinePctLong

      基线百分比。

      示例: 3.2

    • comparePctLong

      比较百分比。

      示例: 8.7

    • deltaPctLong

      变化量百分比。

      示例: 5.5

    • directionString

      方向。

      示例: increased

  • newHotspotsList

    新增热点。

    示例: (nested array)

    • funcNameString

      完全限定名称函数变更。

      示例: net/http.(*Transport).roundTrip

    • baselinePctLong

      基线百分比。

      示例: 3.2

    • comparePctLong

      比较百分比。

      示例: 8.7

    • deltaPctLong

      变化量百分比。

      示例: 5.5

    • directionString

      方向。

      示例: increased

  • disappearedHotspotsList

    消失的热点。

    示例: (nested array)

    • funcNameString

      完全限定名称函数变更。

      示例: net/http.(*Transport).roundTrip

    • baselinePctLong

      基线百分比。

      示例: 3.2

    • comparePctLong

      比较百分比。

      示例: 8.7

    • deltaPctLong

      变化量百分比。

      示例: 5.5

    • directionString

      方向。

      示例: increased

  • createdAtString

    创建时间。

    示例: 2026-01-15T08:00:00Z

请求地址

GET/api/v1/profiling/regression/reports/{reportId}

/api/v1/profiling/regression/reports/{reportId}

操作 ID

GetRegressionReport

永久链接

请求示例

curl -X GET '{host}/api/v1/profiling/regression/reports/{reportId}' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "reportId": "rpt-xyz789",
  "baselineLabel": "v1.2.0-release",
  "compareLabel": "v1.3.0-candidate",
  "profileType": "cpu",
  "regressionDetected": true,
  "severity": "WARNING",
  "changedFunctions": [
    {}
  ],
  "newHotspots": [
    {}
  ]
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史